optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.MiscSystems.Logger Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.Logger:

## Public Member Functions
| __init__ (self, board=None)
| GetLoggedRegister (self, log_number)
| Gets the register number logged into specific log number.
| SetLoggedRegister (self, log_number, value)
| Sets the register number logged into specific log number.
| RunLogger (self)
| Starts the logger.
| StopLogger (self)
| Stops the logger.
| GetLog (self, log_number, index, count)
| Gets logged values in specific log.
| GetSamplingFrequency (self)
| Gets the sampling frequency of the logger.
| SetSamplingFrequency (self, value)
| Sets the sampling frequency of the logger.
| to_int (self, float_v)
| When logging an integer value this conversion needs to be used on the values obtained by GetLog.
| SetTriggerReg (self, value)
| GetTriggerReg (self)
| SetTriggerMode (self, value)
| GetTriggerMode (self)
| SetTriggerValue (self, value)
| GetTriggerValue (self)
| SetTriggerFormat (self, value)
| GetTriggerFormat (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Public Attributes
int | sys_id = 0x24
dict | logged_register_0 = {'id': self.sys_id << 8 | 0x00, 'type': int, 'unit': None, 'range': None, 'default': 0xe802}
dict | logged_register_1 = {'id': self.sys_id << 8 | 0x01, 'type': int, 'unit': None, 'range': None, 'default': 0xe902}
dict | logged_register_2 = {'id': self.sys_id << 8 | 0x02, 'type': int, 'unit': None, 'range': None, 'default': 0x2300}
dict | logged_register_3 = {'id': self.sys_id << 8 | 0x03, 'type': int, 'unit': None, 'range': None, 'default': 0x2301}
dict | logged_register_4 = {'id': self.sys_id << 8 | 0x04, 'type': int, 'unit': None, 'range': None, 'default': 0x2302}
dict | logged_register_5 = {'id': self.sys_id << 8 | 0x05, 'type': int, 'unit': None, 'range': None, 'default': 0x2303}
dict | logged_register_6 = {'id': self.sys_id << 8 | 0x06, 'type': int, 'unit': None, 'range': None, 'default': 0xe802}
dict | logged_register_7 = {'id': self.sys_id << 8 | 0x07, 'type': int, 'unit': None, 'range': None, 'default': 0xe902}
dict | logged_register_8 = {'id': self.sys_id << 8 | 0x08, 'type': int, 'unit': None, 'range': None, 'default': 0x2300}
dict | logged_register_9 = {'id': self.sys_id << 8 | 0x09, 'type': int, 'unit': None, 'range': None, 'default': 0x2301}
dict | logged_register_10 = {'id': self.sys_id << 8 | 0x0a, 'type': int, 'unit': None, 'range': None, 'default': 0x2302}
dict | logged_register_11 = {'id': self.sys_id << 8 | 0x0b, 'type': int, 'unit': None, 'range': None, 'default': 0x2303}
dict | run = {'id': self.sys_id << 8 | 0x10, 'type': int, 'unit': bool, 'range': [0, 1], 'default': False}
dict | sampling_frequency = {'id': self.sys_id << 8 | 0x11, 'type': float, 'unit': 'Hz', 'range': None, 'default': 20000}
dict | log_trigger_reg = {'id': self.sys_id << 8 | 0x14, 'type': int, 'unit': None, 'range': None, 'default': 0}
dict | log_trigger_mode = {'id': self.sys_id << 8 | 0x15, 'type': int, 'unit': None, 'range': None, 'default': 0}
dict | log_trigger_value = {'id': self.sys_id << 8 | 0x16, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | log_trigger_format = {'id': self.sys_id << 8 | 0x17, 'type': int, 'unit': None, 'range': None, 'default': 0}
dict | register_log_0 = {'id': self.sys_id << 8 | 0x00, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_1 = {'id': self.sys_id << 8 | 0x01, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_2 = {'id': self.sys_id << 8 | 0x02, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_3 = {'id': self.sys_id << 8 | 0x03, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_4 = {'id': self.sys_id << 8 | 0x04, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_5 = {'id': self.sys_id << 8 | 0x05, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_6 = {'id': self.sys_id << 8 | 0x06, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_7 = {'id': self.sys_id << 8 | 0x07, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_8 = {'id': self.sys_id << 8 | 0x08, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_9 = {'id': self.sys_id << 8 | 0x09, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_10 = {'id': self.sys_id << 8 | 0x0a, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_11 = {'id': self.sys_id << 8 | 0x0b, 'type': float, 'unit': None, 'range': None, 'default': 0}
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Protected Member Functions
| _GetLogSegment (self, log_number, index, count)
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)

## Protected Attributes
bool | _readonly = False
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board

## Additional Inherited Members
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Device Functionality - Logger
    System ID: 0x24

    A system for logging the values of various readable registers.

    Register Map:
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | logged_register_0         | 0x00 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_1         | 0x01 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_2         | 0x02 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_3         | 0x03 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_4         | 0x04 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_5         | 0x05 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_6         | 0x06 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_7         | 0x07 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_8         | 0x08 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_9         | 0x09 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_10        | 0x0A | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_11        | 0x0B | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | run                       | 0x10 | boolean     |None  |       | false   | Set true to start logging, will be set to |
    |                           |      |             |      |       |         | false after the memory is filled          |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | sampling_frequency        | 0x11 | float 32-bit|Hz    |       | 20000   | Sampling rate in Hz which the logger logs |
    |                           |      |                    |       |         | values.                                   |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Minimum sampling rate     | 0x12 | float 32-bit|Hz    |       | $ \frac{20000}{2^{32}-1} $ |                        |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Maximum sampling rate     | 0x13 | float 32-bit|Hz    |       | 20000   |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Trigger register address  | 0x14 | uint 16-bit|None   |       | 0xE802  | Address of register that is monitored
    for
    triggering the logger |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Logger trigger mode       | 0x15 | uint 32-bit |None  |       | 0       | Configures trigger mode: <br/> 0 -
    Non-triggered mode, <br/> 1 - Equal mode, <br/> 2 - Rising edge mode, <br/> 3 - Falling edge mode /
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Logger trigger value      | 0x16 | float/uint32/int32 |None  |       | 0       | Threshold value for logger triggering. Type depends on logger trigger value format|
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Logger trigger format     | 0x17 | uint 32-bit |None  |       | 0       | Defines format of logger trigger value:  <br/> 0 - uint32, <br/> 1 - int32, <br/> 2 - float|
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

    Vector Map:
    +------------------------+------+--------------------+-------------------------------------------+
    | Register Name          | Id   | Type               | Comment                                   |
    +========================+======+====================+===========================================+
    | Register log 0         | 0x00 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+-------------------------------------------+
    | Register log 1         | 0x01 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+-----------------------------+
    | Register log 2         | 0x02 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+----------------------------+
    | Register log 3         | 0x03 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+----------------------------+
    | Register log 4         | 0x04 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+----------------------------+
    | Register log 5         | 0x05 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+----------------------------+
    | Register log 6         | 0x06 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+----------------------------+
    | Register log 7         | 0x07 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+----------------------------+
    | Register log 8         | 0x08 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+----------------------------+
    | Register log 9         | 0x09 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+----------------------------+
    | Register log 10        | 0x0A | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+----------------------------+
    | Register log 11        | 0x0B | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+----------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.MiscSystems.Logger.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ _GetLogSegment()

optoKummenberg.registers.MiscSystems.Logger._GetLogSegment | ( |  | self,
|  |  | log_number,
|  |  | index,
|  |  | count )
| protected

## ◆ GetLog()

optoKummenberg.registers.MiscSystems.Logger.GetLog | ( |  | self,
|  |  | log_number,
|  |  | index,
|  |  | count )

Gets logged values in specific log.

These values represents periodically logged register specified by SetLoggedRegister method

## ◆ GetLoggedRegister()

optoKummenberg.registers.MiscSystems.Logger.GetLoggedRegister | ( |  | self,
|  |  | log_number )

Gets the register number logged into specific log number.

## ◆ GetSamplingFrequency()

optoKummenberg.registers.MiscSystems.Logger.GetSamplingFrequency | ( |  | self | ) |

Gets the sampling frequency of the logger.

## ◆ GetTriggerFormat()

optoKummenberg.registers.MiscSystems.Logger.GetTriggerFormat | ( |  | self | ) |

## ◆ GetTriggerMode()

optoKummenberg.registers.MiscSystems.Logger.GetTriggerMode | ( |  | self | ) |

## ◆ GetTriggerReg()

optoKummenberg.registers.MiscSystems.Logger.GetTriggerReg | ( |  | self | ) |

## ◆ GetTriggerValue()

optoKummenberg.registers.MiscSystems.Logger.GetTriggerValue | ( |  | self | ) |

## ◆ RunLogger()

optoKummenberg.registers.MiscSystems.Logger.RunLogger | ( |  | self | ) |

Starts the logger.

## ◆ SetLoggedRegister()

optoKummenberg.registers.MiscSystems.Logger.SetLoggedRegister | ( |  | self,
|  |  | log_number,
|  |  | value )

Sets the register number logged into specific log number.

The value of this register will be periodically logged into memory in form of the vector, this vector can be then obtained by GetLog method.

## ◆ SetSamplingFrequency()

optoKummenberg.registers.MiscSystems.Logger.SetSamplingFrequency | ( |  | self,
|  |  | value )

Sets the sampling frequency of the logger.

## ◆ SetTriggerFormat()

optoKummenberg.registers.MiscSystems.Logger.SetTriggerFormat | ( |  | self,
|  |  | value )

## ◆ SetTriggerMode()

optoKummenberg.registers.MiscSystems.Logger.SetTriggerMode | ( |  | self,
|  |  | value )

## ◆ SetTriggerReg()

optoKummenberg.registers.MiscSystems.Logger.SetTriggerReg | ( |  | self,
|  |  | value )

## ◆ SetTriggerValue()

optoKummenberg.registers.MiscSystems.Logger.SetTriggerValue | ( |  | self,
|  |  | value )

## ◆ StopLogger()

optoKummenberg.registers.MiscSystems.Logger.StopLogger | ( |  | self | ) |

Stops the logger.

## ◆ to_int()

optoKummenberg.registers.MiscSystems.Logger.to_int | ( |  | self,
|  |  | float_v )

When logging an integer value this conversion needs to be used on the values obtained by GetLog.

## Member Data Documentation

## ◆ _readonly

bool optoKummenberg.registers.MiscSystems.Logger._readonly = False
| protected

## ◆ log_trigger_format

dict optoKummenberg.registers.MiscSystems.Logger.log_trigger_format = {'id': self.sys_id << 8 | 0x17, 'type': int, 'unit': None, 'range': None, 'default': 0}

## ◆ log_trigger_mode

dict optoKummenberg.registers.MiscSystems.Logger.log_trigger_mode = {'id': self.sys_id << 8 | 0x15, 'type': int, 'unit': None, 'range': None, 'default': 0}

## ◆ log_trigger_reg

dict optoKummenberg.registers.MiscSystems.Logger.log_trigger_reg = {'id': self.sys_id << 8 | 0x14, 'type': int, 'unit': None, 'range': None, 'default': 0}

## ◆ log_trigger_value

dict optoKummenberg.registers.MiscSystems.Logger.log_trigger_value = {'id': self.sys_id << 8 | 0x16, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ logged_register_0

dict optoKummenberg.registers.MiscSystems.Logger.logged_register_0 = {'id': self.sys_id << 8 | 0x00, 'type': int, 'unit': None, 'range': None, 'default': 0xe802}

## ◆ logged_register_1

dict optoKummenberg.registers.MiscSystems.Logger.logged_register_1 = {'id': self.sys_id << 8 | 0x01, 'type': int, 'unit': None, 'range': None, 'default': 0xe902}

## ◆ logged_register_10

dict optoKummenberg.registers.MiscSystems.Logger.logged_register_10 = {'id': self.sys_id << 8 | 0x0a, 'type': int, 'unit': None, 'range': None, 'default': 0x2302}

## ◆ logged_register_11

dict optoKummenberg.registers.MiscSystems.Logger.logged_register_11 = {'id': self.sys_id << 8 | 0x0b, 'type': int, 'unit': None, 'range': None, 'default': 0x2303}

## ◆ logged_register_2

dict optoKummenberg.registers.MiscSystems.Logger.logged_register_2 = {'id': self.sys_id << 8 | 0x02, 'type': int, 'unit': None, 'range': None, 'default': 0x2300}

## ◆ logged_register_3

dict optoKummenberg.registers.MiscSystems.Logger.logged_register_3 = {'id': self.sys_id << 8 | 0x03, 'type': int, 'unit': None, 'range': None, 'default': 0x2301}

## ◆ logged_register_4

dict optoKummenberg.registers.MiscSystems.Logger.logged_register_4 = {'id': self.sys_id << 8 | 0x04, 'type': int, 'unit': None, 'range': None, 'default': 0x2302}

## ◆ logged_register_5

dict optoKummenberg.registers.MiscSystems.Logger.logged_register_5 = {'id': self.sys_id << 8 | 0x05, 'type': int, 'unit': None, 'range': None, 'default': 0x2303}

## ◆ logged_register_6

dict optoKummenberg.registers.MiscSystems.Logger.logged_register_6 = {'id': self.sys_id << 8 | 0x06, 'type': int, 'unit': None, 'range': None, 'default': 0xe802}

## ◆ logged_register_7

dict optoKummenberg.registers.MiscSystems.Logger.logged_register_7 = {'id': self.sys_id << 8 | 0x07, 'type': int, 'unit': None, 'range': None, 'default': 0xe902}

## ◆ logged_register_8

dict optoKummenberg.registers.MiscSystems.Logger.logged_register_8 = {'id': self.sys_id << 8 | 0x08, 'type': int, 'unit': None, 'range': None, 'default': 0x2300}

## ◆ logged_register_9

dict optoKummenberg.registers.MiscSystems.Logger.logged_register_9 = {'id': self.sys_id << 8 | 0x09, 'type': int, 'unit': None, 'range': None, 'default': 0x2301}

## ◆ register_log_0

dict optoKummenberg.registers.MiscSystems.Logger.register_log_0 = {'id': self.sys_id << 8 | 0x00, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_1

dict optoKummenberg.registers.MiscSystems.Logger.register_log_1 = {'id': self.sys_id << 8 | 0x01, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_10

dict optoKummenberg.registers.MiscSystems.Logger.register_log_10 = {'id': self.sys_id << 8 | 0x0a, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_11

dict optoKummenberg.registers.MiscSystems.Logger.register_log_11 = {'id': self.sys_id << 8 | 0x0b, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_2

dict optoKummenberg.registers.MiscSystems.Logger.register_log_2 = {'id': self.sys_id << 8 | 0x02, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_3

dict optoKummenberg.registers.MiscSystems.Logger.register_log_3 = {'id': self.sys_id << 8 | 0x03, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_4

dict optoKummenberg.registers.MiscSystems.Logger.register_log_4 = {'id': self.sys_id << 8 | 0x04, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_5

dict optoKummenberg.registers.MiscSystems.Logger.register_log_5 = {'id': self.sys_id << 8 | 0x05, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_6

dict optoKummenberg.registers.MiscSystems.Logger.register_log_6 = {'id': self.sys_id << 8 | 0x06, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_7

dict optoKummenberg.registers.MiscSystems.Logger.register_log_7 = {'id': self.sys_id << 8 | 0x07, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_8

dict optoKummenberg.registers.MiscSystems.Logger.register_log_8 = {'id': self.sys_id << 8 | 0x08, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_9

dict optoKummenberg.registers.MiscSystems.Logger.register_log_9 = {'id': self.sys_id << 8 | 0x09, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ run

dict optoKummenberg.registers.MiscSystems.Logger.run = {'id': self.sys_id << 8 | 0x10, 'type': int, 'unit': bool, 'range': [0, 1], 'default': False}

## ◆ sampling_frequency

dict optoKummenberg.registers.MiscSystems.Logger.sampling_frequency = {'id': self.sys_id << 8 | 0x11, 'type': float, 'unit': 'Hz', 'range': None, 'default': 20000}

## ◆ sys_id

int optoKummenberg.registers.MiscSystems.Logger.sys_id = 0x24

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/MiscSystems.py